Commit c9c06f26 authored by Isaak Lim's avatar Isaak Lim

added a Qwt6 finder, which is required for QT5 and adjusted plugins accordingly

refs #1753

git-svn-id: http://www.openflipper.org/svnrepo/OpenFlipper/branches/Free@17639 383ad7c9-94d9-4d36-a494-682f7c89f535
parent a8e6f30e
......@@ -150,11 +150,23 @@ if ( NOT found EQUAL -1 )
endif()
endif()
find_package(Qwt5)
# use Qwt6 for QT5
if (NOT FORCE_QT4 AND QT5_FOUND)
find_package(Qwt6)
if (QWT6_FOUND)
add_definitions(-DWITH_QWT)
set(INCLUDE_DIRS ${INCLUDE_DIRS} ${QWT6_INCLUDE_DIRS} )
set(ADDITIONAL_LINK_LIBRARIES ${COREAPP_ADDITIONAL_LINK_LIBRARIES} ${QWT6_LIBRARIES})
endif()
else()
find_package(Qwt5)
if(Qwt5_Qt4_FOUND)
add_definitions(-DWITH_QWT)
set(COREAPP_ADDITIONAL_LINK_LIBRARIES ${COREAPP_ADDITIONAL_LINK_LIBRARIES} ${Qwt5_Qt4_LIBRARY})
if(Qwt5_Qt4_FOUND)
add_definitions(-DWITH_QWT)
set(INCLUDE_DIRS ${INCLUDE_DIRS} ${Qwt5_INCLUDE_DIR} )
set(ADDITIONAL_LINK_LIBRARIES ${COREAPP_ADDITIONAL_LINK_LIBRARIES} ${Qwt5_Qt4_LIBRARY})
endif()
endif()
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment